Zapmail
latest
  • latest
  • v1
latest
  • latest
  • v1
Sign In
latest
  • latest
  • v1
Root
Root
  1. zapbox
  • Zapmail Docs
  • Webhooks
  • MCP
  • users
    • Retrieve User Details
      GET
  • quick setup
    • Quick Setup
      POST
  • workspaces
    • Retrieve all workspaces
      GET
    • Create new workspace
      POST
    • Update workspace
      PUT
    • List all workspace members
      GET
    • Update user role
      PUT
    • Revoke User Access
      DELETE
    • Send invitiation to join workspace
      POST
    • List all invitations
      GET
    • Revoke invitation
      DELETE
    • Update Domain Renewal Settings
      POST
  • billing
    • Add Billing Details
      POST
    • Update Billing Details
      PUT
  • mailbox
    • Retrieve All Mailboxes
    • Get Mailbox Details by ID
    • Assign New Mailboxes to Domains
    • Update mailbox
    • Remove mailboxes on next renewal
    • Get Authenticator code
    • Custom OAuth
    • schedule mailbox creation
    • retry creation of failed mailboxes
  • payments & wallet
    • Add balance to wallet
    • Get wallet balance
    • Enable auto recharge
    • Purchase add on mailboxes
    • get invoices for subscription
  • export
    • Export mailboxes
    • Add third party account details
    • Update third party account details
    • Get Export Status
    • Fetch Workspaces by App
    • List all third-party accounts
  • subscriptions
    • Get all subscriptions
    • Cancel subscription
    • Upgrade existing subscription
    • Purchase subscription
    • Get Mailboxes in a Subscription
  • domains
    • Retrieve All Domains
    • List Assignable Domains
    • Add DMARC record
    • Add Domain forwarding
    • Get Name servers to connect domain
    • Verify Name Server Propagation
    • Connect Domain with Zapmail
    • Enable email forwarding
    • Remove email forwarding
    • Enable catch all emails
    • Remove catch all emails
    • Check DNS records
    • Remove unused domains
    • Get available domains for registration
    • Get domains purchase payment link
    • Get domain connection requests
    • Remove domain connection requests
    • Connect Domain with Zapmail (New)
    • Add Google Client ID to Domain
    • Get availability of multiple domain names.
    • Retrieve Domain Health Score
    • Retrieve All Domains (With filters)
    • AI Domain Finder
    • Move Domains Across workspace
    • Assign Domain Tag
    • list domain tags
    • Create Domain Tags
    • Remove Domain Forwarding
    • List Domains Eligible for Renewal
    • Get Renewal Price
    • Renew Domains
    • Delete Tag
    • Remove Tags From Domains
    • Update Auto Renew Preference
  • dns
    • Get dns records
    • Add dns records
    • Update dns records
    • Delete dns records
  • High Reputation Domains
    • Get available domains
    • Purchase high reputation domains
  • prewarmed domains
    • Get prewarmed domains
    • purchase prewarmed subscription
    • Assign prewarmed mailboxes
    • Get Available Domains Count
    • Get Prewarm Subscriptions
  • placement test
    • Get subscriptions
    • Get Overall Report
    • Get placement test orders
    • Get report by cart order id
    • Get Eligible Mailboxes for Placement Tests
    • Get Available Placement Test Credits
    • Purchase Placement Test
    • Purchase plan
    • Cancel Subscription
  • dns shield
    • Get eligible domains
    • Get available slots
    • Get subscriptions
    • Get Allocated Domains for Subscription
    • Allocate Domains to DNS Shield
    • Purchase DNS Shield
    • Upgrade DNS Shield LTD Plan
    • Cancel subscription
  • Zapsites
    • Scan A Site
    • Create a New Zapsite
    • Fetch A Zapsite
    • Edit a Zapsite
    • Regenerate a Zapsite
    • Deploy a Zapsite
  • global
    • Global mailbox-domain search
  • zapbox
    • List Connected Accounts
      GET
    • Fetch emails
      GET
    • get emails from a thread
      GET
    • Search emails
      GET
    • Send Email
      POST
    • Download Attachment
      POST
    • Create New Label
      POST
    • Delete Label
      POST
    • Rename Label
      POST
  • Webhooks
    • Get Event Types
    • Get Webhook Endpoints/Destinations
    • Create New Webhook Endpoint/Destination
    • Update a Specific Endpoint
  • Schemas
    • domain with filter
  1. zapbox

Send Email

POST
/v2/onebox/send-email
Send an email from a specified mailbox account.
account accepts either a bare address or Name <address> for a per-message sender display name.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api.zapmail.ai/api/v2/onebox/send-email' \
--header 'x-auth-zapmail: YOUR_API_KEY' \
--header 'x-workspace-id: WORKSPACE_UUID' \
--header 'x-service-provider: GOOGLE' \
--header 'Content-Type: application/json' \
--data-raw '{
  "account": "sender@example.com",
  "to": "recipient@example.com",
  "subject": "Email Subject",
  "body": "Email body content",
  "cc": [
    "cc1@example.com",
    "cc2@example.com"
  ],
  "bcc": [
    "bcc1@example.com",
    "bcc2@example.com"
  ],
  "messageId": "message-id-for-reply",
  "threadId": "thread-id-for-reply"
}'
Response Response Example
{
    "success": true,
    "data": {
        "userId": "usr_8f42c1d7",
        "workspaceId": "ws_91a7e3b2",
        "account": "john.doe@example.com",
        "provider": "gmail",
        "serviceProvider": "google",
        "id": "account:john.doe@example.com",
        "threadId": "thread_7a91bc42",
        "messageId": "<msg_9d83f1a2@example.com>",
        "headers": {
            "Received": "from mail.example.com by mx.google.com",
            "From": "John Doe <john.doe@example.com>",
            "To": "jane.smith@example.com",
            "Cc": "team@example.com",
            "Bcc": "",
            "Subject": "Project Update - September 2026",
            "MIME-Version": "1.0",
            "Content-Type": "text/html; charset=UTF-8",
            "Date": "Wed, 9 Sep 2026 17:37:00 +0530",
            "Message-Id": "<msg_9d83f1a2@example.com>"
        },
        "subject": "Project Update - September 2026",
        "snippet": "Hi Jane, sharing a quick update on the project and the next steps.",
        "date": "2026-09-09T12:07:00.000Z",
        "size": 546,
        "labels": [
            "SENT"
        ],
        "from": [
            {
                "name": "John Doe",
                "address": "john.doe@example.com"
            }
        ],
        "to": [
            {
                "address": "jane.smith@example.com"
            }
        ],
        "body": {
            "html": "<p>Hi Jane,</p><p>Sharing a quick update on the project and the next steps.</p><p>Thanks,<br>John</p>"
        },
        "hasAttachments": false,
        "isRead": true,
        "isStarred": false,
        "isDraft": false,
        "isDeleted": false,
        "isSent": true,
        "isWarmUp": false,
        "isDmarc": false,
        "folderPath": "sent",
        "aiStatus": "pending",
        "createdAt": "2026-09-09T12:07:06.483Z",
        "updatedAt": "2026-09-09T12:07:06.483Z"
    }
}
Modified at 2026-09-10 21:10:38
Previous
Search emails
Next
Download Attachment
Built with